cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/refunds/REF-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.refunds.delete_refund_note_file(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.refunds.deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->refunds->deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.refunds().deleteRefundNoteFile(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Refunds.DeleteRefundNoteFileAsync(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.refunds.deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Refunds().DeleteRefundNoteFile(context.Background(), "REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Refunds
Delete a refund note file
Deletes one file from a note on a refund.
DELETE
/
refunds
/
{refund_id}
/
notes
/
{note_id}
/
files
/
{file_id}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/refunds/REF-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.refunds.delete_refund_note_file(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.refunds.deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->refunds->deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.refunds().deleteRefundNoteFile(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Refunds.DeleteRefundNoteFileAsync(
"REF-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.refunds.deleteRefundNoteFile(
'REF-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Refunds().DeleteRefundNoteFile(context.Background(), "REF-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "6b1f0c2e-8d4a-4e3b-9f5c-2a7d1e0b3c4f", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Deletes the attachment by its
uuid. The server checks the CREATE_REFUND_NOTE permission.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The refund's code, which the refunds listing returns as id.
The note's id, which starts with note_.
The attachment's uuid, from the note's attachments.
Response
The file is deleted. The response has no body.